Project

General

Profile

Bug #1219

VegBank 1.0.2 model - implemented

Added by Michael Lee almost 19 years ago. Updated over 17 years ago.

Status:
Resolved
Priority:
Immediate
Assignee:
Category:
misc
Target version:
Start date:
11/21/2003
Due date:
% Done:

0%

Estimated time:
Bugzilla-Id:
1219

Description

We need to upgrade to version 1.0.2 for vegbank.

The model needs to be finalized (done: see Nov 21 version of db_model_vegbank.xml).

The old data need to be migrated to the new version (mostly done: see src/sql in
cvs for sql files that do this).

Everything that breaks because of this change needs to be fixed. This can
hardly be one bug.

I quote from Gabe:
---------------------------
1) Finalize 1.0.1 TO 1.0.2 vegbank convesion (almost there).
2) Move Framework into vegbank 1.0.2 ( hopefully nearly there).
3) Get above working on development system and check (in progress).
4) Create global script to package up all the steps.
5) Upgrade vegbank server to postgres that can handle conversion.
-> Need OS upgrade and postgres upgrade
-> I like 7.4, testing the jdbc driver on my dev
-> confirmed dump restore between versions works on 7.4
6) vegtest on vegbank conversion to v.1.0.1
7) Get code working on development with v1.0.2
8) Test out code modifications on vegtest on vegbank

9) Vegbank on Vegbank ready for conversion

---------------------------------------------------------
5) and 7) are a little tricky, I'm getting stuck in on 7) and hope to
have a system that is functional for developing on ASAP. Some testing
will be required to flush out all the mis-matches however.


Related issues

Blocked by VegBank - Bug #824: Make website deal with user tables in vegbank, not frameworkResolved11/13/2002

Blocked by VegBank - Bug #1169: Upgrade VegBranch to new 1.0.2 Vegbank data modelResolved10/02/2003

Blocked by VegBank - Bug #919: Advanced IP system, user-specific filtering of dataNew11/27/2002

History

#1 Updated by Michael Lee over 18 years ago

Why do we need PostgreSQL 7.4? What do we gain? What can't we do with 7.3.4?
Which version comes with RedHat Advanced (Enterprise, whatever) Server? Colby's
ordering a license and we'll install it relatively soon.

The other stuff in this bug seems mostly like testing issues only, as long as #7
becomes unsticky.

#2 Updated by P. Anderson over 18 years ago

We did it. It works. So there.

#3 Updated by Redmine Admin over 9 years ago

Original Bugzilla ID was 1219

Also available in: Atom PDF